Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07314 Crash/Freeze Major Always May 2, 2019, 07:24 May 6, 2019, 16:24
Tester Osso View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver homedata.cpp
Version 0.209 Fixed in Version 0.210 Build 64-bit
Summary 07314: mjikaga: Game boots and immediately gets stuck at a white screen
Description Since 0.206 the game doesn't work anymore, getting stuck at a white screen.
Steps To Reproduce Just load the game.
Additional Information In the 0.206 dev cycle there was a pretty big update to the driver which may be the regression, though I haven't verified it yet:
https://git.redump.net/mame/commit/?id=69cb8a001b01364caa27b47ac04744ce274aa5bc
Flags
Regression Version 0.206
Affected Sets / Systems mjikaga
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.16399
Tafoid
Administrator
May 2, 2019, 09:17
Can confirm day of regression lines up with linked commit above (January 18, 2019)
User avatar
No.16401
Osso
Developer
May 2, 2019, 10:13
It appears using the latches instead of the old way is causing data not to be read in time. Reverting it fixes this, but it's obviously not the way to go.
User avatar
No.16435
Osso
Developer
May 6, 2019, 12:49
edited on: May 6, 2019, 12:53
It can also be worked-around by setting the maincpu and the audiocpu to perfect quantum, but it causes a 50% performance loss against 0.205.

EDIT: config.m_minimum_quantum = attotime::from_hz(60000); seems to do the trick and not to cost too much in performance. I guess I'll commit this later.